.service-grid:has(.service-card:nth-child(5)) > .service-card.open {
  grid-column: span 2;
}

.service-grid:has(.service-card:nth-child(5)) > .service-card:nth-child(4).open {
  grid-column: 2 / span 2;
}

.service-grid:has(.service-card:nth-child(5)) > .service-card:nth-child(5).open {
  grid-column: 4 / span 2;
}

@media (max-width: 950px) {
  .service-grid:has(.service-card:nth-child(5)) > .service-card.open,
  .service-grid:has(.service-card:nth-child(5)) > .service-card:nth-child(4).open,
  .service-grid:has(.service-card:nth-child(5)) > .service-card:nth-child(5).open {
    grid-column: 1;
  }
}
